Subject: Re: bug#13826: Bug#701711: emacs24: svn support fails in a symlinked directory

From: Juha Jäykkä <[email-masked]>
Date: Wed, 27 Feb 2013 23:10:28 +0100

> >> vc-update and other vc-*-commands fail to detect an svn controlled
> >> directory when the directory is a symlink to an svn controlled
> >> directory.
> 
> Works fine for me. Please give a complete recipe starting from emacs -Q.

I'm sorry for the false alarm. I still think there is a bug, but not the one I 
reported.

This works

emacs -Q /path/to/symlink-directory/file

where /path/to/symlink-directory points to an SVN controlled directory.

However, if the variable vc-cvs-stay-local is set to nil in .emacs, then the 
emacs fails to notice that symlink-directory is SVN controlled.

Now, this may or may not be intended, but I believe it is a bug nevertheless. 
If it is not intended, there's the bug. If it is intended, then the 
documentation for vc-cvs-stay-local (not to mention the name of the variable 
implying that it affects CVS repositories only, but the documentation makes it 
clear this is not the case) is wrong:

   Non-nil means use local operations when possible for remote repositories.
   This avoids slow queries over the network and instead uses heuristics
   and past information to determine the current status of a file.
   
   If value is the symbol `only-file' `vc-dir' will connect to the
   server, but heuristics will be used to determine the status for
   all other VC operations.
   
   The value can also be a regular expression or list of regular
   expressions to match against the host name of a repository; then VC
   only stays local for hosts that match it.  Alternatively, the value
   can be a list of regular expressions where the first element is the
   symbol `except'; then VC always stays local except for hosts matched
   by these regular expressions.

Cheers,
Juha

-- 
		 -----------------------------------------------
		| Juha Jäykkä, [email-masked]			|
		| http://koti.kapsi.fi/~juhaj/			|
		 -----------------------------------------------